
import java.util.*;
import java.io.*;
import java.lang.Object;
import java.lang.Thread;


class RandomWord
{
    private String string;

    RandomWord (int size)
    {
	char data [] = new char [size];
	int i = 0;
	Random r = new Random();
	for(i = 0; i < size; i++)
	    data[i] = (char)(r.nextInt(62) + 48);

	string = new String (data);

    } // Random ctor

    /**
     * Random constructor of a random word with a given size
     * 
     * @param taille an Integer giving the desired size of the word
     * @param r a random generator for the characters contained in the word
     */
    RandomWord (int size, Random r)
    {
	char data [] = new char [size];
	int i = 0;

	for(i = 0; i < size; i++)
	    {
		int j;
		while(true)
		    {
			j = r.nextInt(75)+ 48;
			if (( (j >= 48) && (j <= 57) ) || ((j >= 65) && (j <= 90)) || ((j >= 97) && (j <= 122)))
			    {
				data[i] = (char)j;
				break;
			    }
		    }
	    }
	string = new String (data);

    } // Random sized ctor

    RandomWord(String s)
    {
	string = new String (s);
    } // basic ctor

    public String getString()
    {
	return(string);
    }

}
